# Method: labels.get

- [HTTP request](https://developers.google.com/workspace/drive/labels/reference/rest/v2/labels/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/drive/labels/reference/rest/v2/labels/get#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/drive/labels/reference/rest/v2/labels/get#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/drive/labels/reference/rest/v2/labels/get#body.request_body)
- [Response body](https://developers.google.com/workspace/drive/labels/reference/rest/v2/labels/get#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/drive/labels/reference/rest/v2/labels/get#body.aspect)
- [Try it!](https://developers.google.com/workspace/drive/labels/reference/rest/v2/labels/get#try-it)

Get a label by its resource name. For more information, see [Search for labels](https://developers.google.com/workspace/drive/labels/guides/search-label).

Resource name may be any of:

- `labels/{id}` - See `labels/{id}@latest`
- `labels/{id}@latest` - Gets the latest revision of the label.
- `labels/{id}@published` - Gets the current published revision of the label.
- `labels/{id}@{revisionId}` - Gets the label at the specified revision ID.

### HTTP request

`GET https://drivelabels.googleapis.com/v2/{name=labels/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Label resource name. May be any of: - `labels/{id}` (equivalent to labels/{id}@latest) - `labels/{id}@latest` - `labels/{id}@published` - `labels/{id}@{revisionId}` |

### Query parameters

| Parameters ||
|---|---|
| `useAdminAccess` | `boolean` Set to `true` in order to use the user's admin credentials. The server verifies that the user is an admin for the label before allowing access. |
| `languageCode` | `string` The BCP-47 language code to use for evaluating localized field labels. When not specified, values in the default configured language are used. |
| `view` | ``enum (`https://developers.google.com/workspace/drive/labels/reference/rest/v2/LabelView`)`` When specified, only certain fields belonging to the indicated view are returned. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/drive/labels/reference/rest/v2/labels#Label`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/drive.labels`
- `
  https://www.googleapis.com/auth/drive.labels.readonly`
- `
  https://www.googleapis.com/auth/drive.admin.labels`
- `
  https://www.googleapis.com/auth/drive.admin.labels.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).